Permalink
Browse files

composer: added platform

  • Loading branch information...
dg committed Aug 16, 2017
1 parent 928dad9 commit 6048b000357c0ea9310742fcc1b850126497d370
Showing with 6 additions and 1 deletion.
  1. +6 −1 composer.json
@@ -24,5 +24,10 @@
"require-dev": {
"nette/tester": "^2.0"
},
"minimum-stability": "dev"
"minimum-stability": "dev",
"config": {
"platform": {
"php": "7.1"
}
}
}

4 comments on commit 6048b00

@JanTvrdik

This comment has been minimized.

Copy link

JanTvrdik replied Aug 16, 2017

This will prevent installation of packages depending on PHP 7.2 Is that intentional?

@dg

This comment has been minimized.

Copy link
Member Author

dg replied Aug 16, 2017

I think it's better for every web project to have config/platform than to care every time I run a composer update whether I used right version of PHP. And because this is the basis of the web project, it should be there.

@CZechBoY

This comment has been minimized.

Copy link
Contributor

CZechBoY replied Aug 16, 2017

Yes, this is good for begginers. But it would be nice to mention it in readme/docs.

@dg

This comment has been minimized.

Copy link
Member Author

dg replied Aug 16, 2017

Can you please update doc? I dont know what mention you mean.

Please sign in to comment.